grcal.test.h File Reference
`#include <wibble/test.h>`
`#include <wibble/grcal/grcal.h>`
Include dependency graph for grcal.test.h:

Go to the source code of this file.

## Macros

#define | assert_dt_eq(x, ...) assert_dt_eq_fn( LOCATION( #x " == " #__VA_ARGS__ ), x, __VA_ARGS__)
#define | assert_nn_eq(x, y, N, x1, y1) assert_nn_eq_fn( LOCATION( #x ", " #y " mod " #N " == " #x1 ", " #y1 ), x, y, N, x1, y1)

## Macro Definition Documentation

## assert_dt_eq

#define assert_dt_eq | ( |  | x,
|  |  | ...
| ) |  | assert_dt_eq_fn( LOCATION( #x " == " #__VA_ARGS__ ), x, __VA_ARGS__)

## assert_nn_eq

#define assert_nn_eq | ( |  | x,
|  |  | y,
|  |  | N,
|  |  | x1,
|  |  | y1
| ) |  | assert_nn_eq_fn( LOCATION( #x ", " #y " mod " #N " == " #x1 ", " #y1 ), x, y, N, x1, y1)